
Redmine - Defect #1117

wiki mysql error

2008-04-26 21:13 - Stuart George

Status: Closed Start date: 2008-04-26

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I'm running svn trunk (have been for many versions). For a long time I've had an wiki error when saving a page.

(my current version is Redmine 0.7.devel.1357 (MySQL) on AMD64 ubuntu7.10 fcgi/lighttpd)

Also it does seem to hit the DB, as if I go and view the wiki page the changes are present, but if I go to the Activity page and tick wiki

pages, no wiki pages updates appear in the list.

Is there supposed to be an 'x' in front of the gzipped ascii data??

Going through my logs;

(the gzip data in the insert statement is much longer...

ActiveRecord::StatementInvalid (

Mysql::Error: You have an error in your SQL syntax near 

''78daa553df6bdb30107e2ff47f384c1f362876d6ed61cb534292b2c0fa8364690675088a7cb6c56' 

at line 1: 

INSERT INTO `wiki_content_versions` (`comments`, `updated_on`, `page_id`, `version`, `author_id`, 

`wiki_content_id`, `compression`, `data`) 

VALUES('', '2008-04-25 21:53:03', 20, 4, 2, 20, 'gzip', x'78daa553df6bdb30107e2ff47f384c1f362876d6

ed61')):

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract_adap

ter.rb:150:in `log'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/mysql_adapter

.rb:281:in `execute'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/data

base_statements.rb:156:in `insert_sql'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/mysql_adapter

.rb:291:in `insert_sql'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/data

base_statements.rb:44:in `insert_without_query_dirty'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/quer

y_cache.rb:19:in `insert'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:2272:in `create_without_c

allbacks'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/callbacks.rb:226:in `create_witho

ut_timestamps'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/timestamp.rb:29:in `create'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:2238:in `create_or_update

_without_callbacks'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/callbacks.rb:213:in `create_or_up

date'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:1972:in `save_without_val

idation'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:934:in `save_witho

ut_transactions'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/data

base_statements.rb:66:in `transaction'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:80:in `transactio

n'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:100:in `transacti
on'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:120:in `rollback_

active_record_state!'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

/vendor/plugins/acts_as_versioned/lib/acts_as_versioned.rb:252:in `save_version_on_create'

/vendor/plugins/acts_as_versioned/lib/acts_as_versioned.rb:243:in `save_version'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/callbacks.rb:307:in `send'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/callbacks.rb:307:in `callback'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/callbacks.rb:304:in `each'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/callbacks.rb:304:in `callback'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/callbacks.rb:241:in `update_witho

ut_timestamps'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/timestamp.rb:38:in `update'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:2238:in `create_or_update

_without_callbacks'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/callbacks.rb:213:in `create_or_up

date'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:1972:in `save_without_val

idation'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:934:in `save_witho

ut_transactions'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/data

base_statements.rb:66:in `transaction'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:80:in `transactio

n'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:100:in `transacti

on'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:120:in `rollback_

active_record_state!'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/associations/association_proxy.rb

:125:in `send'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/associations/association_proxy.rb

:125:in `method_missing'

/app/controllers/wiki_controller.rb:74:in `edit'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `send'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `perform_action

_without_filters'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:697:in `call_filters

'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:689:in `perform_acti

on_without_benchmark'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perform_

action_without_rescue'

/usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perform_

action_without_rescue'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/rescue.rb:199:in `perform_actio

n_without_caching'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:678:in `perform_acti

on'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/quer

y_cache.rb:33:in `cache'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/query_cache.rb:8:in `cache'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:677:in `perform_acti

on'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `send'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `process_without

_filters'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:685:in `process_with

out_session_management_support'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/session_management.rb:123:in `p

rocess'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:388:in `process'

2024-04-23 2/4



/usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:171:in `handle_re

quest'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:115:in `dispatch'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:126:in `dispatch_

cgi'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:9:in `dispatch'

/usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/fcgi_handler.rb:101:in `process_request'

/usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/fcgi_handler.rb:149:in `with_signal_handler'

/usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/fcgi_handler.rb:99:in `process_request'

/usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/fcgi_handler.rb:77:in `process_each_request'

/usr/lib/ruby/1.8/fcgi.rb:612:in `each_cgi'

/usr/lib/ruby/1.8/fcgi.rb:609:in `each'

/usr/lib/ruby/1.8/fcgi.rb:609:in `each_cgi'

/usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/fcgi_handler.rb:76:in `process_each_request'

/usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/fcgi_handler.rb:50:in `process!'

/usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/fcgi_handler.rb:24:in `process!'

/public/dispatch.fcgi:25

Rendering /xxxx/redmine/public/500.html (500 Internal Server Error)

History

#1 - 2008-04-27 10:42 - Jean-Philippe Lang

Is there supposed to be an 'x' in front of the gzipped ascii data?

 Yes. I see the same syntax in my logs.

What is strange is that the exact query that I see in your log runs fine on my database (mysql 5.0):

INSERT INTO `wiki_content_versions` (`comments`, `updated_on`, `page_id`, `version`, `author_id`, `wiki_conten

t_id`, `compression`, `data`) 

VALUES('', '2008-04-25 21:53:03', 20, 4, 2, 20, 'gzip', x'78daa553df6bdb30107e2ff47f384c1f362876d6ed61')

A few questions:

What is your Rails and database versions ?

Does this error happen each time you save a wiki page ?

What happen if you run this query manually ?

#2 - 2008-04-27 13:46 - Thomas Lecavelier

Maybe a "strict" mysql behavior effect.

#3 - 2008-04-27 18:50 - Jean-Philippe Lang

Maybe a "strict" mysql behavior effect.

 Good idea, but I've just tested it with sql-mode="STRICT_TRANS_TABLES".

#4 - 2008-04-28 03:46 - Stuart George

Yes, every wiki page I go to save it does this to me.

gem versions;

rails 2.0.2

mysql 2.7

rake 0.7.1

mysql db is 3.23.58, for unknown-linux (x86_64)

manually running it gives me an error;

ERROR 1064: You have an error in your SQL syntax near ''78daa553df6bdb30107e2ff47f384c1f362876d6ed61')' at line 2

I searched the wiki but didnt find anything on the minimum mysql requirements, and I have no trouble with any other part of the app...
I'm going to try and update my mysql adapter to 2.7.3 and see if it fixes anything..

#5 - 2008-04-29 12:21 - Jean-Philippe Lang

You should upgrade to mysql 4 or higher.

I've never tested Redmine with mysql 3, I'll add this requirement in the install doc.

#6 - 2008-05-14 19:10 - Jean-Philippe Lang

- Status changed from New to Closed

- Affected version (unused) deleted (devel)

- Resolution set to Invalid

Reopen if needed you still have the problem with mysql 4.
